/*
* Copyright 2020 Kumori systems S.L.
*
* Licensed under the EUPL, Version 1.2 or – as soon they
* will be approved by the European Commission - subsequent
* versions of the EUPL (the "Licence");
* You may not use this work except in compliance with the
* Licence.
* You may obtain a copy of the Licence at:
*
* https://joinup.ec.europa.eu/software/page/eupl
*
* Unless required by applicable law or agreed to in
* writing, software distributed under the Licence is
* distributed on an "AS IS" basis,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
* express or implied.
* See the Licence for the specific language governing
* permissions and limitations under the Licence.
 */
// Code generated by informer-gen. DO NOT EDIT.

package v1beta2

import (
	internalinterfaces "gitlab.com/kumori-systems/community/libraries/clusterapi-client-go/pkg/generated-aws/informers/externalversions/internalinterfaces"
)

// Interface provides access to all the informers in this group version.
type Interface interface {
	// AWSClusters returns a AWSClusterInformer.
	AWSClusters() AWSClusterInformer
	// AWSClusterControllerIdentities returns a AWSClusterControllerIdentityInformer.
	AWSClusterControllerIdentities() AWSClusterControllerIdentityInformer
	// AWSClusterRoleIdentities returns a AWSClusterRoleIdentityInformer.
	AWSClusterRoleIdentities() AWSClusterRoleIdentityInformer
	// AWSClusterStaticIdentities returns a AWSClusterStaticIdentityInformer.
	AWSClusterStaticIdentities() AWSClusterStaticIdentityInformer
	// AWSClusterTemplates returns a AWSClusterTemplateInformer.
	AWSClusterTemplates() AWSClusterTemplateInformer
	// AWSMachines returns a AWSMachineInformer.
	AWSMachines() AWSMachineInformer
	// AWSMachineTemplates returns a AWSMachineTemplateInformer.
	AWSMachineTemplates() AWSMachineTemplateInformer
	// AWSManagedClusters returns a AWSManagedClusterInformer.
	AWSManagedClusters() AWSManagedClusterInformer
}

type version struct {
	factory          internalinterfaces.SharedInformerFactory
	namespace        string
	tweakListOptions internalinterfaces.TweakListOptionsFunc
}

// New returns a new Interface.
func New(f internalinterfaces.SharedInformerFactory, namespace string, tweakListOptions internalinterfaces.TweakListOptionsFunc) Interface {
	return &version{factory: f, namespace: namespace, tweakListOptions: tweakListOptions}
}

// AWSClusters returns a AWSClusterInformer.
func (v *version) AWSClusters() AWSClusterInformer {
	return &aWSClusterInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}

// AWSClusterControllerIdentities returns a AWSClusterControllerIdentityInformer.
func (v *version) AWSClusterControllerIdentities() AWSClusterControllerIdentityInformer {
	return &aWSClusterControllerIdentityInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}

// AWSClusterRoleIdentities returns a AWSClusterRoleIdentityInformer.
func (v *version) AWSClusterRoleIdentities() AWSClusterRoleIdentityInformer {
	return &aWSClusterRoleIdentityInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}

// AWSClusterStaticIdentities returns a AWSClusterStaticIdentityInformer.
func (v *version) AWSClusterStaticIdentities() AWSClusterStaticIdentityInformer {
	return &aWSClusterStaticIdentityInformer{factory: v.factory, tweakListOptions: v.tweakListOptions}
}

// AWSClusterTemplates returns a AWSClusterTemplateInformer.
func (v *version) AWSClusterTemplates() AWSClusterTemplateInformer {
	return &aWSClusterTemplateInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}

// AWSMachines returns a AWSMachineInformer.
func (v *version) AWSMachines() AWSMachineInformer {
	return &aWSMachineInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}

// AWSMachineTemplates returns a AWSMachineTemplateInformer.
func (v *version) AWSMachineTemplates() AWSMachineTemplateInformer {
	return &aWSMachineTemplateInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}

// AWSManagedClusters returns a AWSManagedClusterInformer.
func (v *version) AWSManagedClusters() AWSManagedClusterInformer {
	return &aWSManagedClusterInformer{factory: v.factory, namespace: v.namespace, tweakListOptions: v.tweakListOptions}
}
